Subject: Re: bug#68954: Offending commit

From: Yuan Fu <[email-masked]>
Date: Wed, 7 Feb 2024 17:35:44 -0800

> On Feb 6, 2024, at 11:24 PM, Dominique Quatravaux <[email-masked]> wrote:
> 
> Le mer. 7 févr. 2024 à 02:58, Yuan Fu <[email-masked]> a écrit :
> 
> 
> Thanks! If you want to submit a patch I’m more than happy to apply it for you
> 
> I attached a patch to my first email already.

My bad, I wasn’t clear enough. I meant a patch generated by git format-patch, which includes a commit message, etc. This way when I apply it it’ll show your as the author. If you don’t care about it, I can apply the diff myself and push it.

Btw, there’s a specific format for commit messages, you can check out the CONTRIBUTE file under repo root, in the “Commit messages” section.

Actually, here’s what I would write for your change, feel free to modify it as you like.

Fix treesit_traverse_get_predicate (bug#68954)

Commit d005e685e1df7692085378633348db39a5190374 should have replaced
assq_no_quit with assq_no_signal, but didn't, this commit fixes that.

* src/treesit.c (treesit_traverse_get_predicate): Replace assq_no_quit
with assq_no_signal.

Yuan